Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
[Java] Class JavaPlugin

    java.lang.Object
      org.gradle.api.plugins.JavaPlugin

All Implemented Interfaces:
  Plugin

    public class JavaPlugin

A Plugin which compiles and tests Java source, and assembles it into a JAR file.

Authors:
  Hans Dockter

Field Summary
`static java.lang.String` | `CLASSES_TASK_NAME`
`static java.lang.String` | `COMPILE_CONFIGURATION_NAME`
`static java.lang.String` | `COMPILE_JAVA_TASK_NAME`
`static java.lang.String` | `COMPILE_TEST_JAVA_TASK_NAME`
`static java.lang.String` | `JAR_TASK_NAME`
`static java.lang.String` | `JAVADOC_TASK_NAME`
`static java.lang.String` | `PROCESS_RESOURCES_TASK_NAME`
`static java.lang.String` | `PROCESS_TEST_RESOURCES_TASK_NAME`
`static java.lang.String` | `RUNTIME_CONFIGURATION_NAME`
`static java.lang.String` | `TEST_CLASSES_TASK_NAME`
`static java.lang.String` | `TEST_COMPILE_CONFIGURATION_NAME`
`static java.lang.String` | `TEST_RUNTIME_CONFIGURATION_NAME`
`static java.lang.String` | `TEST_TASK_NAME`

Method Summary
`void` | `apply(Project project)`

Methods inherited from class java.lang.Object
java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#notify(), java.lang.Object#notifyAll(), java.lang.Object#toString()

Field Detail

### CLASSES_TASK_NAME

    public static final java.lang.String CLASSES_TASK_NAME

### COMPILE_CONFIGURATION_NAME

    public static final java.lang.String COMPILE_CONFIGURATION_NAME

### COMPILE_JAVA_TASK_NAME

    public static final java.lang.String COMPILE_JAVA_TASK_NAME

### COMPILE_TEST_JAVA_TASK_NAME

    public static final java.lang.String COMPILE_TEST_JAVA_TASK_NAME

### JAR_TASK_NAME

    public static final java.lang.String JAR_TASK_NAME

### JAVADOC_TASK_NAME

    public static final java.lang.String JAVADOC_TASK_NAME

### PROCESS_RESOURCES_TASK_NAME

    public static final java.lang.String PROCESS_RESOURCES_TASK_NAME

### PROCESS_TEST_RESOURCES_TASK_NAME

    public static final java.lang.String PROCESS_TEST_RESOURCES_TASK_NAME

### RUNTIME_CONFIGURATION_NAME

    public static final java.lang.String RUNTIME_CONFIGURATION_NAME

### TEST_CLASSES_TASK_NAME

    public static final java.lang.String TEST_CLASSES_TASK_NAME

### TEST_COMPILE_CONFIGURATION_NAME

    public static final java.lang.String TEST_COMPILE_CONFIGURATION_NAME

### TEST_RUNTIME_CONFIGURATION_NAME

    public static final java.lang.String TEST_RUNTIME_CONFIGURATION_NAME

### TEST_TASK_NAME

    public static final java.lang.String TEST_TASK_NAME

Method Detail

### apply

    public void apply(Project project)

Groovy Documentation